.contact{
    padding-bottom: 60px;
    min-height: 820px;
    background-color: #22252c;
    &__title{
        text-align: center;
    }
    &__form{
        margin-top: 200px;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 30px;
        
        
    }
    &__input{
        position: relative;
        &-line{
            position: absolute;
            bottom: 0;
            height: 2px;
            width: 100%;
            background-color: #58616d;
        }
        position: relative;
        input{
            width: 100%;
            height: 50px;
            background: transparent;
            border: none;
            color: #8491a2;
            font-size: 14px;
            font-weight: 400;
            transition: all .4s;
            padding: 10px;
            &:active{
                .contact__input-line{
                    background-color: #02cfb4;
                }
                label{
                    opacity: 1;
                    color: #02cfb4;
                }
            }
        }
        label{
            position: absolute;
            top: -20px;
            left: 10px;
            color: #02cfb4;
            opacity: 0;
            
        }
    }
    &__textarea{
        position: relative;
        grid-column: 1 / 3;
        height: 245px;
        &-line{
            position: absolute;
            bottom: 0;
            height: 2px;
            width: 100%;
            background-color: #58616d;
        }
        textarea{
            width: 100%;
            height: 100%;
            grid-column: 1 / 3;
            resize: none;
            background: transparent;
            border: none;
            color: #8491a2;
            font-size: 14px;
            font-weight: 400;
            padding: 10px;
        }
        label{
            position: absolute;
            top: -20px;
            left: 10px;
            color: #02cfb4;
            opacity: 0;
        }
        
    }
    &__triggers{
        grid-column: 1 / 3;
        margin: 70px auto 0;
        &-btn{
            width: 181px;
            height: 53px;
            border: 1px solid #00d7bb;
            border-radius: 3px;
            background-color: transparent;
            color: #02cfb4;
            transition: all .4s;
            &:hover{
                background-image: linear-gradient(-268deg, #00f298 0%, #07f7f7 100%);
                color: #fff;
            }
        }
    }
    &__socials{
        width: 385px;
        margin: 150px auto 0;
        display: flex;
        justify-content: space-between;
        &-item{
            cursor: pointer;
            position: relative;
            width: 52px;
            height: 52px;
            border-radius: 100%;
            background-color: #313741;
            &:hover{
                background-color: #02cfb4;
                svg{
                    fill: #22252c;
                }
            }
        }
        &-link{
            
            
            svg{
                position: absolute;
                left: 50%;
                top: 50%;
                transform: translateY(-50%) translateX(-50%);
            }
            
        }
    }
}